
Infrastructure - Bug #5472

Filesystems filling up with postgres backup files

2014-06-10 07:22 - Robert Waltz

Status: Closed Start date: 2014-06-10

Priority: Urgent Due date: 2014-07-05

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

/etc/cron.daily/pgsql  script runs everyday and dumps a postgres backup to /var/postgres-bak

These dumps eventually fill up /var on the machines it is run and cause failures.

edit the /etc/cron.daily/pgsql to rotate its files only keeping month worth of dumps.

The dump from the first day of each month should be placed in a separate directory /var/postgres-bak/monthly.

monthly dumps should only be retained for 13 months at most.  Each dump from the beginning of the year should be moved to

/var/postgres-bak/yearly

Associated revisions

Revision dd3264d6 - 2014-06-10 07:24 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files

Revision 13949 - 2014-06-10 07:24 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files

Revision 13949 - 2014-06-10 07:24 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files

Revision 13949 - 2014-06-10 07:24 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files

Revision 13949 - 2014-06-10 07:24 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files
Revision 9eebe138 - 2014-06-10 07:37 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files

Revision 13950 - 2014-06-10 07:37 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files

Revision 13950 - 2014-06-10 07:37 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files

Revision 13950 - 2014-06-10 07:37 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files

Revision 13950 - 2014-06-10 07:37 - Robert Waltz

refs #5472

create pgsql files for montly and daily cron jobs that will rotate and delete pgdump files

Revision b9a863f8 - 2014-06-30 21:41 - Robert Waltz

refs #5472 Filesystems filling up with postgres backup files

Revision 14055 - 2014-06-30 21:41 - Robert Waltz

refs #5472 Filesystems filling up with postgres backup files

Revision 14055 - 2014-06-30 21:41 - Robert Waltz

refs #5472 Filesystems filling up with postgres backup files

History

#1 - 2014-06-10 07:23 - Robert Waltz

- Status changed from New to In Progress

#2 - 2014-06-26 21:57 - Robert Waltz

- Status changed from In Progress to Testing

#3 - 2014-06-30 21:45 - Robert Waltz

- Due date changed from 2014-06-21 to 2014-07-05

- Target version changed from 2014.24-Block.3.4 to 2014.26-Block.4.1

#4 - 2014-07-30 04:19 - Robert Waltz
- Status changed from Testing to Closed
